PowerPoint3ParserInternal::ListZoneIdParser Struct Referencefinal

Internal: a basic zone id parser of a PowerPoint3Parser. More...

Inheritance diagram for PowerPoint3ParserInternal::ListZoneIdParser:

## Public Member Functions

| ListZoneIdParser (int numZones, std::string const &debugName)
| the constructor
bool | parse (int id, MWAWInputStreamPtr &input, libmwaw::DebugFile &ascFile) final
| virtual function used to parse a field
Public Member Functions inherited from PowerPoint3ParserInternal::FieldParser
| FieldParser (int fSize, std::string const &debugName)
| the constructor
virtual | ~FieldParser ()
| destructor

## Public Attributes

int | m_numZones
| the number of zones
std::map< int, int > | m_fieldIdToZoneIdMap
| map field id to zone id
Public Attributes inherited from PowerPoint3ParserInternal::FieldParser
int | m_fieldSize
| the field size
std::string | m_name
| the debug name

## Detailed Description

Internal: a basic zone id parser of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ListZoneIdParser()

PowerPoint3ParserInternal::ListZoneIdParser::ListZoneIdParser | ( | int | numZones,
|  | std::string const & | debugName )

inline

the constructor

## Member Function Documentation

## parse()

bool PowerPoint3ParserInternal::ListZoneIdParser::parse | ( | int | id,
|  | MWAWInputStreamPtr & | input,
|  | libmwaw::DebugFile & | ascFile )

final virtual

virtual function used to parse a field

Implements PowerPoint3ParserInternal::FieldParser.

## Member Data Documentation

## m_fieldIdToZoneIdMap

std::map<int, int> PowerPoint3ParserInternal::ListZoneIdParser::m_fieldIdToZoneIdMap

map field id to zone id

Referenced by PowerPoint3Parser::createZones(), ListZoneIdParser(), parse(), and PowerPoint3Parser::readPictureMain().

## m_numZones

int PowerPoint3ParserInternal::ListZoneIdParser::m_numZones

the number of zones

Referenced by ListZoneIdParser(), and parse().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx